JRE Open Office


#1

Bonjour

Je veux creer une base de données sous OO et au lancement il me dit qu’il manque un JRE (Java) et que je dois en installer un ?!

est ce que ça veut dire que je n’ai pas de java ?


#2

Oui. Mais tu as l’embarras du choix pour en installer un:console@emeraude:~$ apt-cache search java runtime gij-3.4 - The GNU Java bytecode interpreter kaffe-pthreads-profile - A POSIX threads and profiling enabled version of the Kaffe VM libgcj5 - Java runtime library for use with gcj libgcj5-common - Java runtime library for use with gcj (jar files) libopenvrml4 - runtime shared library for VRML apache - versatile, high-performance HTTP server apache-perl - versatile, high-performance HTTP server with Perl support apache-ssl - versatile, high-performance HTTP server with SSL support gij-4.0 - The GNU Java bytecode interpreter ikvm - Java virtual machine/compiler implemented in .NET (Mono) jamvm - virtual machine which conforms to JVM specification 2 kaffe-jthreads - A green threads enabled version of the Kaffe VM kaffe-pthreads - A POSIX threads enabled version of the Kaffe VM libcommons-logging-java - commmon wrapper interface for several logging APIs libentity-dev - XML-based GUI builder for GTK+ (core library development files) libentity0 - XML-based GUI builder for GTK+ (core library) libgcj-common - Java runtime library (common files) libgcj6 - Java runtime library for use with gcj libgcj6-common - Java runtime library for use with gcj (jar files) libikvm-native - Native library for IKVM Java virtual machine for .NET (Mono) liblog4j1.2-java - Logging library for java libxsltc-java - XSL Transformations (XSLT) compiler from Xalan-Java mono-jay - LALR(1) parser generator oriented to Java/.NET pnet-compiler - DotGNU Portable.NET C# compiler & tools sablevm - Free implementation of Java Virtual Machine (JVM) second edition java-package - utility for building Java(TM) 2 related Debian packages classpath-doc - free Java API documentation gij - The GNU Java bytecode interpreter java-gcj-compat - Java runtime environment using GIJ java-gcj-compat-dev - Java runtime environment with GCJ libjmagick6-jni - A java interface to ImageMagick - native library libopenvrml5 - runtime shared library for VRML libzip-ocaml - ocaml compression libraries openoffice.org - OpenOffice.org Office suite version 2.0 xjed - editor for programmers (x11 version) filler - simple game where two players try to capture half the board libsidl-dev - Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime devel libsidl0.10.2 - Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime libsidl0.10.2-java - Scientific Interface Definition Language (SIDL) Java runtime python2.4-babel - Scientific Interface Definition Language (SIDL) python runtime j2re1.4 - Blackdown Java(TM) 2 Runtime Environment, Standard Edition libgcj4 - Java runtime library for use with gcj gij-3.3 - The GNU Java bytecode interpreter libgcj4-common - Java runtime library for use with gcj (jar files)


#3

Va là :
java.com/fr/download/index.jsp


#4

merci pour les infos.

Je dois avoir une sources.list completement naze car j’ai tout juste la moitié de l’apt-cache …

bon je dois refaire la sources.list et tout ira mieux

merci pour les infos


#5

[quote=“franck91”]merci pour les infos.
Je dois avoir une sources.list completement naze car j’ai tout juste la moitié de l’apt-cache …
bon je dois refaire la sources.list et tout ira mieux
merci pour les infos[/quote]
Non, mais j’ai toutes les sources (sarge/etch/sid), avec des priorités…


#6

je viens de voir qu’il y avait un paquet openfoffice, mais je peux pas faire un apt-get install openofice-machin truc si ?

il va pas essayer de m’installer encore une fois un openoffice ?


#7

[quote=“franck91”]je viens de voir qu’il y avait un paquet openfoffice, mais je peux pas faire un apt-get install openofice-machin truc si ?

il va pas essayer de m’installer encore une fois un openoffice ?[/quote]
Si, forcément…
C’est pour ca que si tu l’as installé depuis les sources, il faut faire un “make uninstall” (avec un peu de chance, ca devrait nettoyer ce que tu as installé).
Si ca ne marche pas, il faut trouver et supprimmer toutes traces de l’Oo que tu as installé.
Par ailleurs, je te signales que la version en paquet dans la sarge est une version Oo 1, pas Oo 2, donc c’est un choix. (il y en a un en version 2 dans la sid, et je crois aussi en etch).


#8

oui en effet dans sarge c’est Oo1.1.x pour passer en Oo2 j’ai pris la bidouille trouvée sur cet (excellent) forum.

Merci

:slightly_smiling: